Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.pattern
Class IdrefTest

    java.lang.Object
      net.sf.saxon.pattern.IdrefTest

All Implemented Interfaces:
  Serializable, PatternFinder

    public class IdrefTest

extends Object
implements PatternFinder, Serializable

IdrefTest is a test that cannot be represented directly in XPath or XSLT patterns, but which is used internally for matching IDREF nodes: it tests whether the node has the is-idref property

Author:
  Michael H. Kay
See Also:
  Serialized Form

Method Summary
`static IdrefTest` | `getInstance()` Get the singleton instance of this class
`SequenceIterator` | `selectNodes(DocumentInfo doc, XPathContext context)` Select nodes in a document using this PatternFinder.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static IdrefTest getInstance()

  Get the singleton instance of this class

### selectNodes

    public SequenceIterator selectNodes(DocumentInfo doc,
                                        XPathContext context)
                                 throws XPathException

  Select nodes in a document using this PatternFinder.

  Specified by:
    `selectNodes` in interface `PatternFinder`
  Parameters:
    `doc` - the document node at the root of a tree
    `context` - the dynamic evaluation context
  Returns:
    an iterator over the selected nodes in the document.
  Throws:
    `XPathException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.